| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# textobject

$Revision: 1.3 $

$Date: 2002/06/12 11:18:40 $

textobject — A wrapper for a text description of an object and its associated meta-information

## Synopsis

### Content Model

    textobject ::=
    (objectinfo?,
     (phrase|textdata|
      (calloutlist|glosslist|itemizedlist|orderedlist|segmentedlist|
       simplelist|variablelist|caution|important|note|tip|warning|
       literallayout|programlisting|programlistingco|screen|screenco|
       screenshot|formalpara|para|simpara|blockquote)+))

### Attributes

Common attributes

## Description

A `TextObject` is a wrapper containing a textual description of a media object, and its associated meta-information. `TextObject`s are only allowed in `MediaObject`s as a fall-back option, they cannot be the primary content.

There are two different forms of `TextObject`, and it is not unreasonable for a media object to contain both of them.

In the first form, the content of a `TextObject` is simply a `Phrase`. This form is a mechanism for providing a simple “alt text” for a media object. The phrase might be used, for example, as the value of the `ALT` attribute on an HTML `IMG`, with the primary content of the image coming from one of the other objects in the media object.

In the second form, the content of `TextObject` is a longer, prose description. This form could be used when rendering to devices that are incapable of displaying any of the other alternatives.

### Processing expectations

May be formatted inline or as a displayed block, depending on context. It might not be rendered at all, depending on its placement within a `MediaObject` or `InlineMediaObject` and the constraints on the publishing system. For a more detailed description of the semantics involved, see `MediaObject`.

### Parents

These elements contain textobject: `classsynopsisinfo`, `funcsynopsisinfo`, `informaltable`, `inlinemediaobject`, `literallayout`, `mediaobject`, `mediaobjectco`, `programlisting`, `screen`, `synopsis`, `table`.

### Children

The following elements occur in textobject: `blockquote`, `calloutlist`, `caution`, `formalpara`, `glosslist`, `important`, `itemizedlist`, `literallayout`, `note`, `objectinfo`, `orderedlist`, `para`, `phrase`, `programlisting`, `programlistingco`, `screen`, `screenco`, `screenshot`, `segmentedlist`, `simpara`, `simplelist`, `textdata`, `tip`, `variablelist`, `warning`.

## See Also

`alt`, `audioobject`, `caption`, `graphic`, `imageobject`, `inlinegraphic`, `inlinemediaobject`, `mediaobject`, `videoobject`.

## Examples

For examples, see `audioobject`, `imageobject`, `informalfigure`, `inlinemediaobject`, `videoobject`.

textdata |  | tfoot

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.